OAuth2::AccessToken::Mac - Crystal 1.6.0

# class OAuth2::AccessToken::Mac

- OAuth2::AccessToken::Mac
- OAuth2::AccessToken
- Reference
- Object

##
Defined in:

oauth2/access_token/mac.cr

##
Constructors

- .new(access_token, expires_in, mac_algorithm : String, mac_key : String, refresh_token = nil, scope = nil, issued_at : Int64 = Time.utc.to_unix, extra = nil)
- .new(pull : JSON::PullParser)

##
Class Method Summary

- .signature(ts, nonce, method, uri, host, port, ext, mac_algorithm, mac_key) : String

##
Instance Method Summary

- #==(other : self)

  Returns `true` if this reference is the same as other.

- #authenticate(request : HTTP::Request, tls)
- #hash(hasher)

  See `Object#hash(hasher)`

- #issued_at : Int64
- #issued_at=(issued_at : Int64)
- #mac_algorithm : String
- #mac_algorithm=(mac_algorithm : String)
- #mac_key : String
- #mac_key=(mac_key : String)
- #to_json(json : JSON::Builder) : Nil
- #token_type : String

### Instance methods inherited from class `OAuth2::AccessToken`

access_token : String access_token, access_token=(access_token : String) access_token=, authenticate(request : HTTP::Request, tls)
authenticate(client : HTTP::Client) authenticate, expires_in : Int64? expires_in, expires_in=(expires_in : Int64?) expires_in=, extra : Hash(String, String)? extra, extra=(extra : Hash(String, String)?) extra=, refresh_token : String? refresh_token, refresh_token=(refresh_token : String?) refresh_token=, scope : String? scope, scope=(scope : String?) scope=

### Constructor methods inherited from class `OAuth2::AccessToken`

new(access_token : String, expires_in : Int?, refresh_token : String? = nil, scope : String? = nil, extra : Hash(String, String)? = nil)
new(pull : JSON::PullParser) new

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, initialize initialize, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference) : Bool
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new(access_token, expires_in, mac_algorithm : String, mac_key : String, refresh_token = nil, scope = nil, issued_at : Int64 = Time.utc.to_unix, extra = nil) #
def self.new(pull : JSON::PullParser) #

##
Class Method Detail

def self.signature(ts, nonce, method, uri, host, port, ext, mac_algorithm, mac_key) : String #

##
Instance Method Detail

def ==(other : self) #
Description copied from class Reference

Returns `true` if this reference is the same as other. Invokes `same?`.

def authenticate(request : HTTP::Request, tls) #
def hash(hasher) #
Description copied from class Reference

See `Object#hash(hasher)`

def issued_at : Int64 #
def issued_at=(issued_at : Int64) #
def mac_algorithm : String #
def mac_algorithm=(mac_algorithm : String) #
def mac_key : String #
def mac_key=(mac_key : String) #
def to_json(json : JSON::Builder) : Nil #
def token_type : String #